> ## Documentation Index
> Fetch the complete documentation index at: https://docs.seminode.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Send a Quote Response

> Replies to a quote or quote response with accept/reject terms.
Note, the latest action on the quote/response must be initiated by the counterparty.
You cannot reject an already rejected event either.



## OpenAPI

````yaml https://api.seminode.com/v1/docs/public post /quotes/responses
openapi: 3.0.1
info:
  contact: {}
  description: Standard HTTP Basic authentication (username & password).
  title: Seminode API
  version: '1.0'
servers:
  - url: https://api.seminode.com/v1
security: []
tags: []
paths:
  /quotes/responses:
    post:
      tags:
        - Quote Responses
      summary: Send a Quote Response
      description: >-
        Replies to a quote or quote response with accept/reject terms.

        Note, the latest action on the quote/response must be initiated by the
        counterparty.

        You cannot reject an already rejected event either.
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/inbox.QuoteResponseRequest'
        description: Quote-response payload
        required: true
      responses:
        '201':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/utils.DetailResponse'
          description: quote response sent
        '400':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/utils.ErrorResponse'
          description: invalid payload or node URL
        '404':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/utils.ErrorResponse'
          description: counter-party relay not found
        '500':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/utils.ErrorResponse'
          description: server error while publishing
        default:
          description: unexpected error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/utils.ErrorResponse'
      security:
        - BearerAuth: []
        - LoginAuth: []
components:
  schemas:
    inbox.QuoteResponseRequest:
      properties:
        content:
          $ref: '#/components/schemas/inbox.QuoteResponseContent'
        event_id:
          description: Always included on requests
          type: string
        event_url:
          type: string
        public_key:
          description: The author of the event we are replying to
          type: string
        recipient_public_key:
          description: The original recipient of the event we are replying to (me)
          type: string
        reply_url:
          description: Their reply url
          type: string
        root_id:
          type: string
        tags:
          items:
            items:
              type: string
            type: array
          type: array
      type: object
    utils.DetailResponse:
      properties:
        detail:
          type: string
      type: object
    utils.ErrorResponse:
      properties:
        error:
          type: string
      type: object
    inbox.QuoteResponseContent:
      properties:
        company:
          type: string
        contact:
          type: string
        message:
          type: string
        meta:
          additionalProperties: true
          type: object
        quote:
          allOf:
            - $ref: '#/components/schemas/inbox.Quote'
          description: Quote Embedding
          type: object
        reason:
          description: For future use
          type: string
        status:
          description: '"accepted" or "rejected"'
          type: string
      type: object
    inbox.Quote:
      properties:
        content:
          $ref: '#/components/schemas/inbox.QuoteContent'
        created_at:
          description: TODO open, change to unix timestamp?
          type: string
        id:
          type: string
        kind:
          type: integer
        public_key:
          type: string
        recipient_public_key:
          type: string
        reply_url:
          type: string
        root_id:
          type: string
        sig:
          type: string
        tags:
          items:
            items:
              type: string
            type: array
          type: array
        thread_id:
          type: string
        url:
          type: string
      type: object
    inbox.QuoteContent:
      properties:
        attributes:
          $ref: '#/components/schemas/inbox.QuoteAttributes'
        company:
          description: Set app layer
          type: string
        contact:
          type: string
        errors:
          additionalProperties:
            type: string
          type: object
        lead_time:
          description: Slated for removal
          type: integer
        lead_time_raw:
          description: Slated For removal
          type: string
        message:
          type: string
        meta:
          additionalProperties: true
          type: object
        qty:
          type: integer
        schema_version:
          type: string
        terms:
          $ref: '#/components/schemas/inbox.QuoteTerms'
        timing:
          $ref: '#/components/schemas/inbox.QuoteTiming'
        unit_price:
          type: number
      type: object
    inbox.QuoteAttributes:
      properties:
        condition:
          type: string
        custom_attributes:
          additionalProperties: true
          type: object
        date_code:
          type: string
        packaging:
          type: string
      type: object
    inbox.QuoteTerms:
      properties:
        payment:
          $ref: '#/components/schemas/inbox.PaymentTerm'
        shipping:
          $ref: '#/components/schemas/inbox.Shipping'
      type: object
    inbox.QuoteTiming:
      properties:
        expiry:
          type: integer
        lead_time:
          type: string
        required_date:
          type: integer
      type: object
    inbox.PaymentTerm:
      properties:
        code:
          type: string
        currency:
          type: string
      type: object
    inbox.Shipping:
      properties:
        incoterm:
          type: string
        place:
          type: string
      type: object
  securitySchemes:
    BearerAuth:
      description: 'Format: "Bearer &lt;access_token&gt;"'
      in: header
      name: Authorization
      type: apiKey
    LoginAuth:
      scheme: basic
      type: http

````